Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.drm
Class SecurityHelper

    java.lang.Object
      org.deegree.security.drm.SecurityHelper

    public class SecurityHelper

extends Object

Helper class that performs access checks.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`SecurityHelper()`

Method Summary
`static Role` | `checkForAdminOrSubadminRole(SecurityAccess access)` Returns the associated 'Administrator'- or 'SUBADMIN:'-role of the token holder.
`static void` | `checkForAdminRole(SecurityAccess access)` Tests if the given token is associated with the 'Administrator'-role.
`static void` | `checkSubadminRoleValidity(SecurityAccess access)` Tests if the 'SUBADMIN:' and 'Administrator'-roles are all disjoint (so that there are no users that have more than 1 role).
`static Role` | `findAdminForRole(SecurityAccess access, Role role)` Returns the administrator (the 'Administrator'- or a 'SUBADMIN:'-role) for the given role.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityHelper

    public SecurityHelper()

Method Detail

### findAdminForRole

    public static Role findAdminForRole(SecurityAccess access,
                                        Role role)
                                 throws GeneralSecurityException

  Returns the administrator (the 'Administrator'- or a 'SUBADMIN:'-role) for the given role.

  Parameters:
    `access` -
    `role` -
  Returns:
    the administrator (the 'Administrator'- or a 'SUBADMIN:'-role) for the given role.
  Throws:
    `GeneralSecurityException`

### checkForAdminOrSubadminRole

    public static Role checkForAdminOrSubadminRole(SecurityAccess access)
                                            throws ManagementException,
                                                   GeneralSecurityException

  Returns the associated 'Administrator'- or 'SUBADMIN:'-role of the token holder.

  Parameters:
    `access` -
  Returns:
    the associated 'Administrator'- or 'SUBADMIN:'-role of the token holder.

  Throws:
    `ManagementException`
    `GeneralSecurityException`

### checkForAdminRole

    public static void checkForAdminRole(SecurityAccess access)
                                  throws GeneralSecurityException

  Tests if the given token is associated with the 'Administrator'-role.

  Parameters:
    `access` -
  Throws:
    `GeneralSecurityException` - this is an UnauthorizedException if the user does not have the 'Administrator'-role

### checkSubadminRoleValidity

    public static void checkSubadminRoleValidity(SecurityAccess access)
                                          throws ManagementException,
                                                 GeneralSecurityException

  Tests if the 'SUBADMIN:' and 'Administrator'-roles are all disjoint (so that there are no users that have more than 1 role).

  Parameters:
    `access` -
  Throws:
    `ManagementException` - if there is a user with more than one role
    `GeneralSecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org